Support » Plugin: User Spam Remover » Fatal Error

  • Resolved muskie

    (@muskie)


    I’ve been using your plugin for years, but I had to upgrade WordPress today to try and solve another problem and then I of course tried to re-enable all my plugins yours would not re-enable so I upgrade to the latest version I still get the same error:

    Fatal error: Uncaught exception ‘UserSpamRemoverException’ with message ‘Your WordPress installation is not configured to use the PHP mysqli extension to connect to MySQL.This is required by the plugin. Please refer to the documentation for more information.’ in /home/muskie/domains/muschamp.ca/public_html/blog/wp-content/plugins/user-spam-remover/user-spam-remover.php:797 Stack trace: #0 /home/muskie/domains/muschamp.ca/public_html/blog/wp-content/plugins/user-spam-remover/user-spam-remover.php(144): UserSpamRemover->checkMySQL() #1 [internal function]: UserSpamRemover::activate(”) #2 /home/muskie/domains/muschamp.ca/public_html/blog/wp-includes/plugin.php(524): call_user_func_array(Array, Array) #3 /home/muskie/domains/muschamp.ca/public_html/blog/wp-admin/plugins.php(166): do_action(‘activate_user-s…’) #4 {main} thrown in /home/muskie/domains/muschamp.ca/public_html/blog/wp-content/plugins/user-spam-remover/user-spam-remover.php on line 797

    I got 9 new spam subscribers today, I turned off anyone can register but I have 24000+ spam subscribers, I really should purge them it is possible a few are old actual commenters before I switched to using Disqus, but yeah I got problems but I’m not sure if I can use your plugin anymore,it worked for me or at least no fatal errors in older versions of WordPress, I’m not sure what version I was using before but I can look it up if I had to.

Viewing 1 replies (of 1 total)
  • Plugin Author joelhardi

    (@joelhardi)

    The fatal error is one I am triggering intentionally, please read the error message that I made and follow instructions.

    The most recent versions of the plugin requires the PHP MySQLi extension, this is a more performant and secure way to connect to MySQL than the old PHP MySQL extension, which has been deprecated by PHP.

    You can refer to the plugin documentation and the other support threads on this topic for more information.

    Also … MySQLi was released in 2004 and it is 2017 and people are still not using it. Seriously?!?!? /rant /nothing personal

Viewing 1 replies (of 1 total)
  • The topic ‘Fatal Error’ is closed to new replies.